Updates for debian build scripts to suit new library and tool status.

Updated config.{sub,guess} for new platform support.
Incorporated fixes to GNU/Hurd support and added GNU/K*BSD support.


git-svn-id: https://svn.wxwidgets.org/svn/wx/wxWidgets/trunk@26050 c3d73ce0-8a6f-49c7-b76d-6d57e0e08775
This commit is contained in:
Ron Lee
2004-03-03 07:10:36 +00:00
parent 7047ddc0cf
commit e1293dcf96
58 changed files with 1062 additions and 1599 deletions
+19 -13
View File
@@ -17962,9 +17962,6 @@ MSW_DIST: ALL_GUI_DIST
cp $(MSWDIR)/*.c $(DISTDIR)/src/msw
cp $(MSWDIR)/*.def $(DISTDIR)/src/msw
cp $(MSWDIR)/ole/*.cpp $(DISTDIR)/src/msw/ole
cp $(MSWDIR)/wince/*.* $(DISTDIR)/src/msw/wince
mkdir $(DISTDIR)/contrib
cp -R $(WXDIR)/contrib $(DISTDIR)
MSW_ZIP_TEXT_DIST: ALL_GUI_DIST
cp $(WXDIR)/wxWINE.spec $(DISTDIR)
@@ -18629,9 +18626,11 @@ PYTHON_DIST:
mkdir $(DISTDIR)/wxPython/contrib
mkdir $(DISTDIR)/wxPython/contrib/dllwidget
mkdir $(DISTDIR)/wxPython/contrib/gizmos
mkdir $(DISTDIR)/wxPython/contrib/gizmos/gtk
mkdir $(DISTDIR)/wxPython/contrib/glcanvas
mkdir $(DISTDIR)/wxPython/contrib/glcanvas/gtk
mkdir $(DISTDIR)/wxPython/contrib/ogl
mkdir $(DISTDIR)/wxPython/contrib/ogl/gtk
mkdir $(DISTDIR)/wxPython/contrib/stc
mkdir $(DISTDIR)/wxPython/contrib/stc/gtk
mkdir $(DISTDIR)/wxPython/contrib/xrc
@@ -18640,26 +18639,26 @@ PYTHON_DIST:
mkdir $(DISTDIR)/wxPython/demo/bmp_source
mkdir $(DISTDIR)/wxPython/demo/data
mkdir $(DISTDIR)/wxPython/demo/dllwidget
mkdir $(DISTDIR)/wxPython/docs
mkdir $(DISTDIR)/wxPython/src
mkdir $(DISTDIR)/wxPython/src/gtk
mkdir $(DISTDIR)/wxPython/scripts
mkdir $(DISTDIR)/wxPython/wxPython
mkdir $(DISTDIR)/wxPython/wxPython/lib
mkdir $(DISTDIR)/wxPython/wxPython/lib/PyCrust
mkdir $(DISTDIR)/wxPython/wxPython/lib/colourchooser
mkdir $(DISTDIR)/wxPython/wxPython/lib/editor
mkdir $(DISTDIR)/wxPython/wxPython/lib/mixins
mkdir $(DISTDIR)/wxPython/wxPython/tools
mkdir $(DISTDIR)/wxPython/wxPython/tools/XRCed
cp $(WXDIR)/wxPython/*.txt $(DISTDIR)/wxPython
cp $(WXDIR)/wxPython/*.py $(DISTDIR)/wxPython
cp $(WXDIR)/wxPython/setup.cfg $(DISTDIR)/wxPython
cp $(WXDIR)/wxPython/MANIFEST.in $(DISTDIR)/wxPython
cp $(WXDIR)/wxPython/contrib/dllwidget/*.{py,cpp,h,i} $(DISTDIR)/wxPython/contrib/dllwidget
cp $(WXDIR)/wxPython/contrib/gizmos/*.{py,cpp,i} $(DISTDIR)/wxPython/contrib/gizmos
cp $(WXDIR)/wxPython/contrib/gizmos/*.{cpp,h,i,txt} $(DISTDIR)/wxPython/contrib/gizmos
cp $(WXDIR)/wxPython/contrib/gizmos/gtk/*.{py,cpp} $(DISTDIR)/wxPython/contrib/gizmos/gtk
-cp $(WXDIR)/wxPython/contrib/glcanvas/* $(DISTDIR)/wxPython/contrib/glcanvas
cp $(WXDIR)/wxPython/contrib/glcanvas/gtk/glcanvas.* $(DISTDIR)/wxPython/contrib/glcanvas/gtk
-cp $(WXDIR)/wxPython/contrib/ogl/* $(DISTDIR)/wxPython/contrib/ogl
-cp $(WXDIR)/wxPython/contrib/ogl/*.{i,txt,h} $(DISTDIR)/wxPython/contrib/ogl
-cp $(WXDIR)/wxPython/contrib/ogl/gtk/*.{py,cpp} $(DISTDIR)/wxPython/contrib/ogl/gtk
-cp $(WXDIR)/wxPython/contrib/stc/* $(DISTDIR)/wxPython/contrib/stc
-cp $(WXDIR)/wxPython/contrib/stc/gtk/* $(DISTDIR)/wxPython/contrib/stc/gtk
-cp $(WXDIR)/wxPython/contrib/xrc/xrc.* $(DISTDIR)/wxPython/contrib/xrc
@@ -18674,11 +18673,10 @@ PYTHON_DIST:
cp $(WXDIR)/wxPython/src/gtk/*.py $(DISTDIR)/wxPython/src/gtk
cp $(WXDIR)/wxPython/src/gtk/*.cpp $(DISTDIR)/wxPython/src/gtk
cp $(WXDIR)/wxPython/wxPython/lib/*.py $(DISTDIR)/wxPython/wxPython/lib
cp $(WXDIR)/wxPython/wxPython/lib/PyCrust/*.py $(DISTDIR)/wxPython/wxPython/lib/PyCrust
cp $(WXDIR)/wxPython/wxPython/lib/colourchooser/*.py $(DISTDIR)/wxPython/wxPython/lib/colourchooser
cp $(WXDIR)/wxPython/wxPython/lib/editor/*.py $(DISTDIR)/wxPython/wxPython/lib/editor
cp $(WXDIR)/wxPython/wxPython/lib/mixins/*.py $(DISTDIR)/wxPython/wxPython/lib/mixins
cp $(WXDIR)/wxPython/wxPython/tools/*.py $(DISTDIR)/wxPython/wxPython/tools
cp $(WXDIR)/wxPython/wxPython/tools/XRCed/*.{py,ico,sh,xrc} $(DISTDIR)/wxPython/wxPython/tools/XRCed
distrib_clean:
$(RM) -r _dist_dir
@@ -18776,8 +18774,16 @@ debian-dist: debian-native-dist debian-msw-dirs MSW_DIST
\( -name "makefile.*" -a ! -name "makefile.unx" \) \) \
-print0 | xargs -0 rm -rf
rm -rf $(WXDIR)/../wxwindows$(WX_MAJOR_VERSION_NUMBER).$(WX_MINOR_VERSION_NUMBER)-$(WX_MAJOR_VERSION_NUMBER).$(WX_MINOR_VERSION_NUMBER).$(WX_RELEASE_NUMBER)
mv $(DISTDIR) $(WXDIR)/../wxwindows$(WX_MAJOR_VERSION_NUMBER).$(WX_MINOR_VERSION_NUMBER)-$(WX_MAJOR_VERSION_NUMBER).$(WX_MINOR_VERSION_NUMBER).$(WX_RELEASE_NUMBER)
@# We can't get at the individual components of the version here
@# anymore, so strip the major and minor version out of the blob.
( \
wx_version=$(WX_VERSION); \
wx_release=$${wx_version%.*}; \
rm -rf $(WXDIR)/../wxwidgets$${wx_release}-$${wx_version}; \
mv $(DISTDIR) $(WXDIR)/../wxwidgets$${wx_release}-$${wx_version};\
)
debian-native-dist: @GUIDIST@ UNIV_DIST MANUAL_DIST PYTHON_DIST
-3
View File
@@ -2,9 +2,6 @@ dnl This macro was generated by
dnl Bakefile 0.1.3 (http://bakefile.sourceforge.net)
dnl Do not modify, all changes will be overwritten!
dnl Conditions:
dnl ### begin block 0_AC_BAKEFILE_PRECOMP_HEADERS ###
AC_BAKEFILE_PRECOMP_HEADERS
+19 -13
View File
@@ -303,9 +303,6 @@ MSW_DIST: ALL_GUI_DIST
cp $(MSWDIR)/*.c $(DISTDIR)/src/msw
cp $(MSWDIR)/*.def $(DISTDIR)/src/msw
cp $(MSWDIR)/ole/*.cpp $(DISTDIR)/src/msw/ole
cp $(MSWDIR)/wince/*.* $(DISTDIR)/src/msw/wince
mkdir $(DISTDIR)/contrib
cp -R $(WXDIR)/contrib $(DISTDIR)
MSW_ZIP_TEXT_DIST: ALL_GUI_DIST
cp $(WXDIR)/wxWINE.spec $(DISTDIR)
@@ -970,9 +967,11 @@ PYTHON_DIST:
mkdir $(DISTDIR)/wxPython/contrib
mkdir $(DISTDIR)/wxPython/contrib/dllwidget
mkdir $(DISTDIR)/wxPython/contrib/gizmos
mkdir $(DISTDIR)/wxPython/contrib/gizmos/gtk
mkdir $(DISTDIR)/wxPython/contrib/glcanvas
mkdir $(DISTDIR)/wxPython/contrib/glcanvas/gtk
mkdir $(DISTDIR)/wxPython/contrib/ogl
mkdir $(DISTDIR)/wxPython/contrib/ogl/gtk
mkdir $(DISTDIR)/wxPython/contrib/stc
mkdir $(DISTDIR)/wxPython/contrib/stc/gtk
mkdir $(DISTDIR)/wxPython/contrib/xrc
@@ -981,26 +980,26 @@ PYTHON_DIST:
mkdir $(DISTDIR)/wxPython/demo/bmp_source
mkdir $(DISTDIR)/wxPython/demo/data
mkdir $(DISTDIR)/wxPython/demo/dllwidget
mkdir $(DISTDIR)/wxPython/docs
mkdir $(DISTDIR)/wxPython/src
mkdir $(DISTDIR)/wxPython/src/gtk
mkdir $(DISTDIR)/wxPython/scripts
mkdir $(DISTDIR)/wxPython/wxPython
mkdir $(DISTDIR)/wxPython/wxPython/lib
mkdir $(DISTDIR)/wxPython/wxPython/lib/PyCrust
mkdir $(DISTDIR)/wxPython/wxPython/lib/colourchooser
mkdir $(DISTDIR)/wxPython/wxPython/lib/editor
mkdir $(DISTDIR)/wxPython/wxPython/lib/mixins
mkdir $(DISTDIR)/wxPython/wxPython/tools
mkdir $(DISTDIR)/wxPython/wxPython/tools/XRCed
cp $(WXDIR)/wxPython/*.txt $(DISTDIR)/wxPython
cp $(WXDIR)/wxPython/*.py $(DISTDIR)/wxPython
cp $(WXDIR)/wxPython/setup.cfg $(DISTDIR)/wxPython
cp $(WXDIR)/wxPython/MANIFEST.in $(DISTDIR)/wxPython
cp $(WXDIR)/wxPython/contrib/dllwidget/*.{py,cpp,h,i} $(DISTDIR)/wxPython/contrib/dllwidget
cp $(WXDIR)/wxPython/contrib/gizmos/*.{py,cpp,i} $(DISTDIR)/wxPython/contrib/gizmos
cp $(WXDIR)/wxPython/contrib/gizmos/*.{cpp,h,i,txt} $(DISTDIR)/wxPython/contrib/gizmos
cp $(WXDIR)/wxPython/contrib/gizmos/gtk/*.{py,cpp} $(DISTDIR)/wxPython/contrib/gizmos/gtk
-cp $(WXDIR)/wxPython/contrib/glcanvas/* $(DISTDIR)/wxPython/contrib/glcanvas
cp $(WXDIR)/wxPython/contrib/glcanvas/gtk/glcanvas.* $(DISTDIR)/wxPython/contrib/glcanvas/gtk
-cp $(WXDIR)/wxPython/contrib/ogl/* $(DISTDIR)/wxPython/contrib/ogl
-cp $(WXDIR)/wxPython/contrib/ogl/*.{i,txt,h} $(DISTDIR)/wxPython/contrib/ogl
-cp $(WXDIR)/wxPython/contrib/ogl/gtk/*.{py,cpp} $(DISTDIR)/wxPython/contrib/ogl/gtk
-cp $(WXDIR)/wxPython/contrib/stc/* $(DISTDIR)/wxPython/contrib/stc
-cp $(WXDIR)/wxPython/contrib/stc/gtk/* $(DISTDIR)/wxPython/contrib/stc/gtk
-cp $(WXDIR)/wxPython/contrib/xrc/xrc.* $(DISTDIR)/wxPython/contrib/xrc
@@ -1015,11 +1014,10 @@ PYTHON_DIST:
cp $(WXDIR)/wxPython/src/gtk/*.py $(DISTDIR)/wxPython/src/gtk
cp $(WXDIR)/wxPython/src/gtk/*.cpp $(DISTDIR)/wxPython/src/gtk
cp $(WXDIR)/wxPython/wxPython/lib/*.py $(DISTDIR)/wxPython/wxPython/lib
cp $(WXDIR)/wxPython/wxPython/lib/PyCrust/*.py $(DISTDIR)/wxPython/wxPython/lib/PyCrust
cp $(WXDIR)/wxPython/wxPython/lib/colourchooser/*.py $(DISTDIR)/wxPython/wxPython/lib/colourchooser
cp $(WXDIR)/wxPython/wxPython/lib/editor/*.py $(DISTDIR)/wxPython/wxPython/lib/editor
cp $(WXDIR)/wxPython/wxPython/lib/mixins/*.py $(DISTDIR)/wxPython/wxPython/lib/mixins
cp $(WXDIR)/wxPython/wxPython/tools/*.py $(DISTDIR)/wxPython/wxPython/tools
cp $(WXDIR)/wxPython/wxPython/tools/XRCed/*.{py,ico,sh,xrc} $(DISTDIR)/wxPython/wxPython/tools/XRCed
distrib_clean:
$(RM) -r _dist_dir
@@ -1117,8 +1115,16 @@ debian-dist: debian-native-dist debian-msw-dirs MSW_DIST
\( -name "makefile.*" -a ! -name "makefile.unx" \) \) \
-print0 | xargs -0 rm -rf
rm -rf $(WXDIR)/../wxwindows$(WX_MAJOR_VERSION_NUMBER).$(WX_MINOR_VERSION_NUMBER)-$(WX_MAJOR_VERSION_NUMBER).$(WX_MINOR_VERSION_NUMBER).$(WX_RELEASE_NUMBER)
mv $(DISTDIR) $(WXDIR)/../wxwindows$(WX_MAJOR_VERSION_NUMBER).$(WX_MINOR_VERSION_NUMBER)-$(WX_MAJOR_VERSION_NUMBER).$(WX_MINOR_VERSION_NUMBER).$(WX_RELEASE_NUMBER)
@# We can't get at the individual components of the version here
@# anymore, so strip the major and minor version out of the blob.
( \
wx_version=$(WX_VERSION); \
wx_release=$${wx_version%.*}; \
rm -rf $(WXDIR)/../wxwidgets$${wx_release}-$${wx_version}; \
mv $(DISTDIR) $(WXDIR)/../wxwidgets$${wx_release}-$${wx_version};\
)
debian-native-dist: @GUIDIST@ UNIV_DIST MANUAL_DIST PYTHON_DIST
-3
View File
@@ -2758,9 +2758,6 @@ clean:
-if exist $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)251$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl_bcc$(VENDORTAG).ils del $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)251$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl_bcc$(VENDORTAG).ils
-if exist $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.lib del $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.lib
-if exist $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.lib del $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.lib
cd ..\..\samples
$(MAKE) -f makefile.bcc $(MAKEARGS) clean
cd ..\..\..
setup_h: $(SETUPHDIR)\wx ..\..\include\wx\$(__SETUP_H_SUBDIR_FILENAMES)\setup.h $(SETUPHDIR)\wx\setup.h
-1
View File
@@ -2783,7 +2783,6 @@ clean:
-if exist $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)251$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl_gcc$(VENDORTAG).dll del $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)251$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl_gcc$(VENDORTAG).dll
-if exist $(LIBDIRNAME)\libwx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.a del $(LIBDIRNAME)\libwx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.a
-if exist $(LIBDIRNAME)\libwx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.a del $(LIBDIRNAME)\libwx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.a
$(MAKE) -C ..\..\samples -f makefile.gcc $(MAKEARGS) clean
setup_h: $(SETUPHDIR)\wx ..\..\include\wx\$(__SETUP_H_SUBDIR_FILENAMES)\setup.h $(SETUPHDIR)\wx\setup.h
-3
View File
@@ -3326,9 +3326,6 @@ clean:
-if exist $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)251$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl_vc$(VENDORTAG).pdb del $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)251$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl_vc$(VENDORTAG).pdb
-if exist $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.lib del $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.lib
-if exist $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.lib del $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.lib
cd ..\..\samples
$(MAKE) -f makefile.vc $(MAKEARGS) clean
cd $(MAKEDIR)
setup_h: $(SETUPHDIR)\wx ..\..\include\wx\$(__SETUP_H_SUBDIR_FILENAMES)\setup.h $(SETUPHDIR)\wx\setup.h
-3
View File
@@ -2869,9 +2869,6 @@ clean : .SYMBOLIC
-if exist $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)251$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl_wat$(VENDORTAG).dll del $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)251$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl_wat$(VENDORTAG).dll
-if exist $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.lib del $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.lib
-if exist $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.lib del $(LIBDIRNAME)\wx$(PORTNAME)$(WXUNIVNAME)25$(WXUNICODEFLAG)$(WXDEBUGFLAG)_gl.lib
cd ..\..\samples
wmake $(__MAKEOPTS__) -f makefile.wat $(MAKEARGS) clean
cd $(WATCOM_CWD)
setup_h : .SYMBOLIC $(SETUPHDIR)\wx ..\..\include\wx\$(__SETUP_H_SUBDIR_FILENAMES)\setup.h $(SETUPHDIR)\wx\setup.h
+123 -91
View File
@@ -1,9 +1,9 @@
#! /bin/sh
# Attempt to guess a canonical system name.
# Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
# 2000, 2001, 2002 Free Software Foundation, Inc.
# 2000, 2001, 2002, 2003 Free Software Foundation, Inc.
timestamp='2002-11-30'
timestamp='2004-01-05'
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
@@ -98,14 +98,18 @@ trap 'exit 1' 1 2 15
# Historically, `CC_FOR_BUILD' used to be named `HOST_CC'. We still
# use `HOST_CC' if defined, but it is deprecated.
# This shell variable is my proudest work .. or something. --bje
# Portable tmp directory creation inspired by the Autoconf team.
set_cc_for_build='tmpdir=${TMPDIR-/tmp}/config-guess-$$ ;
(old=`umask` && umask 077 && mkdir $tmpdir && umask $old && unset old)
|| (echo "$me: cannot create $tmpdir" >&2 && exit 1) ;
dummy=$tmpdir/dummy ;
files="$dummy.c $dummy.o $dummy.rel $dummy" ;
trap '"'"'rm -f $files; rmdir $tmpdir; exit 1'"'"' 1 2 15 ;
set_cc_for_build='
trap "exitcode=\$?; (rm -f \$tmpfiles 2>/dev/null; rmdir \$tmp 2>/dev/null) && exit \$exitcode" 0 ;
trap "rm -f \$tmpfiles 2>/dev/null; rmdir \$tmp 2>/dev/null; exit 1" 1 2 13 15 ;
: ${TMPDIR=/tmp} ;
{ tmp=`(umask 077 && mktemp -d -q "$TMPDIR/cgXXXXXX") 2>/dev/null` && test -n "$tmp" && test -d "$tmp" ; } ||
{ test -n "$RANDOM" && tmp=$TMPDIR/cg$$-$RANDOM && (umask 077 && mkdir $tmp) ; } ||
{ tmp=$TMPDIR/cg-$$ && (umask 077 && mkdir $tmp) && echo "Warning: creating insecure temp directory" >&2 ; } ||
{ echo "$me: cannot create a temporary directory in $TMPDIR" >&2 ; exit 1 ; } ;
dummy=$tmp/dummy ;
tmpfiles="$dummy.c $dummy.o $dummy.rel $dummy" ;
case $CC_FOR_BUILD,$HOST_CC,$CC in
,,) echo "int x;" > $dummy.c ;
for c in cc gcc c89 c99 ; do
@@ -113,15 +117,13 @@ case $CC_FOR_BUILD,$HOST_CC,$CC in
CC_FOR_BUILD="$c"; break ;
fi ;
done ;
rm -f $files ;
if test x"$CC_FOR_BUILD" = x ; then
CC_FOR_BUILD=no_compiler_found ;
fi
;;
,,*) CC_FOR_BUILD=$CC ;;
,*,*) CC_FOR_BUILD=$HOST_CC ;;
esac ;
unset files'
esac ;'
# This is needed to find uname on a Pyramid OSx when run in the BSD universe.
# (ghazi@noc.rutgers.edu 1994-08-24)
@@ -219,6 +221,9 @@ case "${UNAME_MACHINE}:${UNAME_SYSTEM}:${UNAME_RELEASE}:${UNAME_VERSION}" in
mvmeppc:OpenBSD:*:*)
echo powerpc-unknown-openbsd${UNAME_RELEASE}
exit 0 ;;
pegasos:OpenBSD:*:*)
echo powerpc-unknown-openbsd${UNAME_RELEASE}
exit 0 ;;
pmax:OpenBSD:*:*)
echo mipsel-unknown-openbsd${UNAME_RELEASE}
exit 0 ;;
@@ -238,68 +243,52 @@ case "${UNAME_MACHINE}:${UNAME_SYSTEM}:${UNAME_RELEASE}:${UNAME_VERSION}" in
if test $UNAME_RELEASE = "V4.0"; then
UNAME_RELEASE=`/usr/sbin/sizer -v | awk '{print $3}'`
fi
# According to Compaq, /usr/sbin/psrinfo has been available on
# OSF/1 and Tru64 systems produced since 1995. I hope that
# covers most systems running today. This code pipes the CPU
# types through head -n 1, so we only detect the type of CPU 0.
ALPHA_CPU_TYPE=`/usr/sbin/psrinfo -v | sed -n -e 's/^ The alpha \(.*\) processor.*$/\1/p' | head -n 1`
case "$ALPHA_CPU_TYPE" in
"EV4 (21064)")
UNAME_MACHINE="alpha" ;;
"EV4.5 (21064)")
UNAME_MACHINE="alpha" ;;
"LCA4 (21066/21068)")
UNAME_MACHINE="alpha" ;;
"EV5 (21164)")
UNAME_MACHINE="alphaev5" ;;
"EV5.6 (21164A)")
UNAME_MACHINE="alphaev56" ;;
"EV5.6 (21164PC)")
UNAME_MACHINE="alphapca56" ;;
"EV5.7 (21164PC)")
UNAME_MACHINE="alphapca57" ;;
"EV6 (21264)")
UNAME_MACHINE="alphaev6" ;;
"EV6.7 (21264A)")
UNAME_MACHINE="alphaev67" ;;
"EV6.8CB (21264C)")
UNAME_MACHINE="alphaev68" ;;
"EV6.8AL (21264B)")
UNAME_MACHINE="alphaev68" ;;
"EV6.8CX (21264D)")
UNAME_MACHINE="alphaev68" ;;
"EV6.9A (21264/EV69A)")
UNAME_MACHINE="alphaev69" ;;
"EV7 (21364)")
UNAME_MACHINE="alphaev7" ;;
"EV7.9 (21364A)")
UNAME_MACHINE="alphaev79" ;;
esac
# A Vn.n version is a released version.
# A Tn.n version is a released field test version.
# A Xn.n version is an unreleased experimental baselevel.
# 1.2 uses "1.2" for uname -r.
eval $set_cc_for_build
cat <<EOF >$dummy.s
.data
\$Lformat:
.byte 37,100,45,37,120,10,0 # "%d-%x\n"
.text
.globl main
.align 4
.ent main
main:
.frame \$30,16,\$26,0
ldgp \$29,0(\$27)
.prologue 1
.long 0x47e03d80 # implver \$0
lda \$2,-1
.long 0x47e20c21 # amask \$2,\$1
lda \$16,\$Lformat
mov \$0,\$17
not \$1,\$18
jsr \$26,printf
ldgp \$29,0(\$26)
mov 0,\$16
jsr \$26,exit
.end main
EOF
$CC_FOR_BUILD -o $dummy $dummy.s 2>/dev/null
if test "$?" = 0 ; then
case `$dummy` in
0-0)
UNAME_MACHINE="alpha"
;;
1-0)
UNAME_MACHINE="alphaev5"
;;
1-1)
UNAME_MACHINE="alphaev56"
;;
1-101)
UNAME_MACHINE="alphapca56"
;;
2-303)
UNAME_MACHINE="alphaev6"
;;
2-307)
UNAME_MACHINE="alphaev67"
;;
2-1307)
UNAME_MACHINE="alphaev68"
;;
3-1307)
UNAME_MACHINE="alphaev7"
;;
esac
fi
rm -f $dummy.s $dummy && rmdir $tmpdir
echo ${UNAME_MACHINE}-dec-osf`echo ${UNAME_RELEASE} | sed -e 's/^[VTX]//' | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz'`
exit 0 ;;
Alpha*:OpenVMS:*:*)
echo alpha-hp-vms
exit 0 ;;
Alpha\ *:Windows_NT*:*)
# How do we know it's Interix rather than the generic POSIX subsystem?
# Should we change UNAME_MACHINE based on the output of uname instead
@@ -321,6 +310,9 @@ EOF
*:OS/390:*:*)
echo i370-ibm-openedition
exit 0 ;;
*:OS400:*:*)
echo powerpc-ibm-os400
exit 0 ;;
arm:RISC*:1.[012]*:*|arm:riscix:1.[012]*:*)
echo arm-acorn-riscix${UNAME_RELEASE}
exit 0;;
@@ -338,6 +330,9 @@ EOF
NILE*:*:*:dcosx)
echo pyramid-pyramid-svr4
exit 0 ;;
DRS?6000:unix:4.0:6*)
echo sparc-icl-nx6
exit 0 ;;
DRS?6000:UNIX_SV:4.2*:7*)
case `/usr/bin/uname -p` in
sparc) echo sparc-icl-nx7 && exit 0 ;;
@@ -450,8 +445,7 @@ EOF
EOF
$CC_FOR_BUILD -o $dummy $dummy.c \
&& $dummy `echo "${UNAME_RELEASE}" | sed -n 's/\([0-9]*\).*/\1/p'` \
&& rm -f $dummy.c $dummy && rmdir $tmpdir && exit 0
rm -f $dummy.c $dummy && rmdir $tmpdir
&& exit 0
echo mips-mips-riscos${UNAME_RELEASE}
exit 0 ;;
Motorola:PowerMAX_OS:*:*)
@@ -535,8 +529,7 @@ EOF
exit(0);
}
EOF
$CC_FOR_BUILD -o $dummy $dummy.c && $dummy && rm -f $dummy.c $dummy && rmdir $tmpdir && exit 0
rm -f $dummy.c $dummy && rmdir $tmpdir
$CC_FOR_BUILD -o $dummy $dummy.c && $dummy && exit 0
echo rs6000-ibm-aix3.2.5
elif grep bos324 /usr/include/stdio.h >/dev/null 2>&1; then
echo rs6000-ibm-aix3.2.4
@@ -635,10 +628,20 @@ EOF
}
EOF
(CCOPTS= $CC_FOR_BUILD -o $dummy $dummy.c 2>/dev/null) && HP_ARCH=`$dummy`
if test -z "$HP_ARCH"; then HP_ARCH=hppa; fi
rm -f $dummy.c $dummy && rmdir $tmpdir
test -z "$HP_ARCH" && HP_ARCH=hppa
fi ;;
esac
if [ ${HP_ARCH} = "hppa2.0w" ]
then
# avoid double evaluation of $set_cc_for_build
test -n "$CC_FOR_BUILD" || eval $set_cc_for_build
if echo __LP64__ | (CCOPTS= $CC_FOR_BUILD -E -) | grep __LP64__ >/dev/null
then
HP_ARCH="hppa2.0w"
else
HP_ARCH="hppa64"
fi
fi
echo ${HP_ARCH}-hp-hpux${HPUX_REV}
exit 0 ;;
ia64:HP-UX:*:*)
@@ -672,8 +675,7 @@ EOF
exit (0);
}
EOF
$CC_FOR_BUILD -o $dummy $dummy.c && $dummy && rm -f $dummy.c $dummy && rmdir $tmpdir && exit 0
rm -f $dummy.c $dummy && rmdir $tmpdir
$CC_FOR_BUILD -o $dummy $dummy.c && $dummy && exit 0
echo unknown-hitachi-hiuxwe2
exit 0 ;;
9000/7??:4.3bsd:*:* | 9000/8?[79]:4.3bsd:*:* )
@@ -731,21 +733,26 @@ EOF
CRAY*TS:*:*:*)
echo t90-cray-unicos${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
exit 0 ;;
CRAY*T3D:*:*:*)
echo alpha-cray-unicosmk${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
exit 0 ;;
CRAY*T3E:*:*:*)
echo alphaev5-cray-unicosmk${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
exit 0 ;;
CRAY*SV1:*:*:*)
echo sv1-cray-unicos${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
exit 0 ;;
*:UNICOS/mp:*:*)
echo nv1-cray-unicosmp${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
exit 0 ;;
F30[01]:UNIX_System_V:*:* | F700:UNIX_System_V:*:*)
FUJITSU_PROC=`uname -m | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz'`
FUJITSU_SYS=`uname -p | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/\///'`
FUJITSU_REL=`echo ${UNAME_RELEASE} | sed -e 's/ /_/'`
echo "${FUJITSU_PROC}-fujitsu-${FUJITSU_SYS}${FUJITSU_REL}"
exit 0 ;;
5000:UNIX_System_V:4.*:*)
FUJITSU_SYS=`uname -p | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/\///'`
FUJITSU_REL=`echo ${UNAME_RELEASE} | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/ /_/'`
echo "sparc-fujitsu-${FUJITSU_SYS}${FUJITSU_REL}"
exit 0 ;;
i*86:BSD/386:*:* | i*86:BSD/OS:*:* | *:Ascend\ Embedded/OS:*:*)
echo ${UNAME_MACHINE}-pc-bsdi${UNAME_RELEASE}
exit 0 ;;
@@ -767,8 +774,10 @@ EOF
#endif
EOF
eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^LIBC=`
rm -f $dummy.c && rmdir $tmpdir
echo ${UNAME_MACHINE}-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`${LIBC:+-$LIBC}
# GNU/KFreeBSD systems have a "k" prefix to indicate we are using
# FreeBSD's kernel, but not the complete OS.
case ${LIBC} in gnu) kernel_only='k' ;; esac
echo ${UNAME_MACHINE}-unknown-${kernel_only}freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`${LIBC:+-$LIBC}
exit 0 ;;
i*:CYGWIN*:*)
echo ${UNAME_MACHINE}-pc-cygwin
@@ -779,8 +788,8 @@ EOF
i*:PW*:*)
echo ${UNAME_MACHINE}-pc-pw32
exit 0 ;;
x86:Interix*:3*)
echo i586-pc-interix3
x86:Interix*:[34]*)
echo i586-pc-interix${UNAME_RELEASE}|sed -e 's/\..*//'
exit 0 ;;
[345]86:Windows_95:* | [345]86:Windows_98:* | [345]86:Windows_NT:*)
echo i${UNAME_MACHINE}-pc-mks
@@ -801,14 +810,22 @@ EOF
echo powerpcle-unknown-solaris2`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
exit 0 ;;
*:GNU:*:*)
# the GNU system
echo `echo ${UNAME_MACHINE}|sed -e 's,[-/].*$,,'`-unknown-gnu`echo ${UNAME_RELEASE}|sed -e 's,/.*$,,'`
exit 0 ;;
*:GNU/*:*:*)
# other systems with GNU libc and userland
echo ${UNAME_MACHINE}-unknown-`echo ${UNAME_SYSTEM} | sed 's,^[^/]*/,,' | tr '[A-Z]' '[a-z]'``echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`-gnu
exit 0 ;;
i*86:Minix:*:*)
echo ${UNAME_MACHINE}-pc-minix
exit 0 ;;
arm*:Linux:*:*)
echo ${UNAME_MACHINE}-unknown-linux-gnu
exit 0 ;;
cris:Linux:*:*)
echo cris-axis-linux-gnu
exit 0 ;;
ia64:Linux:*:*)
echo ${UNAME_MACHINE}-unknown-linux-gnu
exit 0 ;;
@@ -832,7 +849,6 @@ EOF
#endif
EOF
eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^CPU=`
rm -f $dummy.c && rmdir $tmpdir
test x"${CPU}" != x && echo "${CPU}-unknown-linux-gnu" && exit 0
;;
mips64:Linux:*:*)
@@ -852,7 +868,6 @@ EOF
#endif
EOF
eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^CPU=`
rm -f $dummy.c && rmdir $tmpdir
test x"${CPU}" != x && echo "${CPU}-unknown-linux-gnu" && exit 0
;;
ppc:Linux:*:*)
@@ -889,6 +904,9 @@ EOF
s390:Linux:*:* | s390x:Linux:*:*)
echo ${UNAME_MACHINE}-ibm-linux
exit 0 ;;
sh64*:Linux:*:*)
echo ${UNAME_MACHINE}-unknown-linux-gnu
exit 0 ;;
sh*:Linux:*:*)
echo ${UNAME_MACHINE}-unknown-linux-gnu
exit 0 ;;
@@ -946,9 +964,11 @@ EOF
LIBC=gnuaout
#endif
#endif
#ifdef __dietlibc__
LIBC=dietlibc
#endif
EOF
eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^LIBC=`
rm -f $dummy.c && rmdir $tmpdir
test x"${LIBC}" != x && echo "${UNAME_MACHINE}-pc-linux-${LIBC}" && exit 0
test x"${TENTATIVE}" != x && echo "${TENTATIVE}" && exit 0
;;
@@ -977,6 +997,9 @@ EOF
i*86:atheos:*:*)
echo ${UNAME_MACHINE}-unknown-atheos
exit 0 ;;
i*86:syllable:*:*)
echo ${UNAME_MACHINE}-pc-syllable
exit 0 ;;
i*86:LynxOS:2.*:* | i*86:LynxOS:3.[01]*:* | i*86:LynxOS:4.0*:*)
echo i386-unknown-lynxos${UNAME_RELEASE}
exit 0 ;;
@@ -1048,7 +1071,7 @@ EOF
exit 0 ;;
M68*:*:R3V[567]*:*)
test -r /sysV68 && echo 'm68k-motorola-sysv' && exit 0 ;;
3[34]??:*:4.0:3.0 | 3[34]??A:*:4.0:3.0 | 3[34]??,*:*:4.0:3.0 | 3[34]??/*:*:4.0:3.0 | 4400:*:4.0:3.0 | 4850:*:4.0:3.0 | SKA40:*:4.0:3.0 | SDS2:*:4.0:3.0)
3[345]??:*:4.0:3.0 | 3[34]??A:*:4.0:3.0 | 3[34]??,*:*:4.0:3.0 | 3[34]??/*:*:4.0:3.0 | 4400:*:4.0:3.0 | 4850:*:4.0:3.0 | SKA40:*:4.0:3.0 | SDS2:*:4.0:3.0 | SHG2:*:4.0:3.0)
OS_REL=''
test -r /etc/.relid \
&& OS_REL=.`sed -n 's/[^ ]* [^ ]* \([0-9][0-9]\).*/\1/p' < /etc/.relid`
@@ -1146,7 +1169,11 @@ EOF
echo ${UNAME_MACHINE}-apple-rhapsody${UNAME_RELEASE}
exit 0 ;;
*:Darwin:*:*)
echo `uname -p`-apple-darwin${UNAME_RELEASE}
case `uname -p` in
*86) UNAME_PROCESSOR=i686 ;;
powerpc) UNAME_PROCESSOR=powerpc ;;
esac
echo ${UNAME_PROCESSOR}-apple-darwin${UNAME_RELEASE}
exit 0 ;;
*:procnto*:*:* | *:QNX:[0123456789]*:*)
UNAME_PROCESSOR=`uname -p`
@@ -1159,7 +1186,7 @@ EOF
*:QNX:*:4*)
echo i386-pc-qnx
exit 0 ;;
NSR-[DGKLNPTVW]:NONSTOP_KERNEL:*:*)
NSR-?:NONSTOP_KERNEL:*:*)
echo nsr-tandem-nsk${UNAME_RELEASE}
exit 0 ;;
*:NonStop-UX:*:*)
@@ -1200,6 +1227,12 @@ EOF
*:ITS:*:*)
echo pdp10-unknown-its
exit 0 ;;
SEI:*:*:SEIUX)
echo mips-sei-seiux${UNAME_RELEASE}
exit 0 ;;
*:DRAGONFLY:*:*)
echo ${UNAME_MACHINE}-unknown-dragonfly${UNAME_RELEASE}
exit 0 ;;
esac
#echo '(No uname command or uname output not recognized.)' 1>&2
@@ -1320,8 +1353,7 @@ main ()
}
EOF
$CC_FOR_BUILD -o $dummy $dummy.c 2>/dev/null && $dummy && rm -f $dummy.c $dummy && rmdir $tmpdir && exit 0
rm -f $dummy.c $dummy && rmdir $tmpdir
$CC_FOR_BUILD -o $dummy $dummy.c 2>/dev/null && $dummy && exit 0
# Apollos put the system type in the environment.
Vendored
+233 -107
View File
File diff suppressed because it is too large Load Diff
Vendored
+284 -558
View File
File diff suppressed because it is too large Load Diff
+1 -2
View File
@@ -165,9 +165,8 @@ case "${host}" in
fi
DEFAULT_DEFAULT_wxUSE_GTK=1
;;
*-*-gnu* )
*-*-gnu* | *-*-k*bsd*-gnu )
USE_GNU=1
AC_DEFINE(__GNU__)
TMP=`uname -m`
if test "x$TMP" = "xalpha"; then
USE_ALPHA=1
+12 -22
View File
@@ -1,11 +1,7 @@
wxwindows for Debian
wxwidgets for Debian
----------------------
The following packages are built from the wxWindows CVS source.
libwxbase wxBase runtime shared libraries
libwxbase-dev extra files and static libs for building wxBase apps
libwxbase-dbg wxBase libraries built with -g and __WXDEBUG__
The following packages are built from the wxWidgets CVS source.
libwxgtk wxGTK runtime shared libraries
libwxgtk-dev extra files and static libs for building wxGTK apps
@@ -15,24 +11,24 @@ libwxgtk-python Python binding to wxGTK (from 2.2.3 onward, this
obsoletes the libwxgtk-python-contrib package as
all python modules are built into a single monolith)
wxwin-contrib wxWin contrib runtime shared libs (built with wxGTK)
wxwin-contrib-dev extra files and static contrib libs for building apps
libwxgtk-contrib wxWin contrib runtime shared libs (built with wxGTK)
libwxgtk-contrib-dev extra files and static contrib libs for building apps
wxwin-headers common header files for building wxWindows apps
wxwin-doc HTML version of the wxWindows manual
wxwin-examples wxWindows and wxPython demos and samples (source)
wxwin-i18n message catalogs for native language support
wx-headers common header files for building wxWidgets apps
wx-doc HTML version of the wxWidgets manual
wx-examples wxWidgets and wxPython demos and samples (source)
wx-i18n message catalogs for native language support
The following three can be built from the source package
The following binaries can be built from the source package
with the mingw32 cross compiler, but are not currently
distributed by Debian. If you feel that should change,
please file a bug against the wxwindows2.4 package, or
please file a bug against the wxwidgets2.5 package, or
append your views to a report already there if you're not
the first to do so.
[ you can check the current state of affairs at:
http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=wxwindows2.4 ]
http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=wxwidgets2.5 ]
Oh and, please do *not* file bug reports for these packages
to the Debian bts. But do feel free to email me personally
@@ -40,13 +36,7 @@ wxwin-i18n message catalogs for native language support
libwxmsw-dev mingw32-cross wxMSW libs.
libwxmsw-dbg mingw32-cross wxMSW (debug) libs.
libwxbase-msw-dev mingw32-cross wxBase libs.
libwxbase-msw-dbg mingw32-cross wxBase (debug) libs.
wxwin-headers-msw extra headers needed for wxMSW.
libwxgtk-univ wxUniversal for Gtk. NOTE this package is obsolete
and will be replaced by wxX11 and wxX11-univ at
some future time.
wx-headers-msw extra headers needed for wxMSW.
-- Ron Lee <ron@debian.org>, Sun, 13 Feb 2000 18:40:00 +1030
+84
View File
@@ -1,9 +1,93 @@
wxwidgets2.5 (2.5.1) experimental; urgency=low
* The s/ndow/dget/g release.
* Yes, the name has changed and the terrorists have won again.
Having a name too similar to Lindows apparently makes us a
liability to the illusion their assailants will want to project
in court. Eleven or so years of unbroken, unquestioned usage
was not nearly so interesting to these people as the fact we
were a soft target and easy to deprive of due process.
* wxGTK is now built with gtk2.
* wxBase is no longer a separate package, it is built with the
GUI libs which now depend on it. We might split it out again
one day if there is a need for that.
* Added support for GNU/K*BSD (thanks again to Robert Millan).
* Non-core functionality is now provided by separate libraries
rather than simply being built into a single behemoth unit.
Of course, given the way these things work, almost none of
them are actually smaller, and the load time is unlikely to
improve either, but the logical separation may be beneficial.
* Removed many elements of the build scripts that are no longer
required due to improvements and changes elsewhere.
-- Ron Lee <ron@debian.org> Fri, 27 Feb 2004 17:00:29 +1030
wxwindows2.5 (2.5.0) unstable; urgency=low
* New beginnings. Back to development flavored chaos again.
-- Ron Lee <ron@debian.org> Thu, 19 Dec 2002 01:08:50 -0800
wxwindows2.4 (2.4.2.4) unstable; urgency=low
* Modified build scripts to use pythonX.Y instead of python(>=X.Y)
* Removed bogus hard coded python2.2-xml. Closes: #216182
* Enabled iostream support despite my opinion of this c++ 'feature'.
Closes: #211050
* Event handling for menus with bitmaps fixed. Closes: #214788
* Includes fixes for wxHTTP and wxURL parsing. Closes: #211023, #213600
-- Ron Lee <ron@debian.org> Sat, 25 Oct 2003 13:48:07 +0930
wxwindows2.4 (2.4.1.2) unstable; urgency=low
* New stable release. Closes: #198622
* Ack python NMU changes, Thanks Josselin!
* Hurd support added to configure. Closes: #191581
* Fixes ctrl-tab problem with pyslsk. Closes: #187923
* Fixed configure for autoconf 2.57-3. Closes: #190755
* Added conflict/replace for -doc. Closes: #202242
-- Ron Lee <ron@debian.org> Fri, 22 Aug 2003 15:59:12 +0930
wxwindows2.4 (2.4.0.8-0.1) unstable; urgency=low
* NMU for python transition.
* Build-depend and depend on python 2.3 (closes: #204737).
-- Josselin Mouette <joss@debian.org> Wed, 13 Aug 2003 22:21:48 +0200
wxwindows2.4 (2.4.0.9) unstable; urgency=low
* Updated package sections to suit the new taxonomy.
* No public release of this version.
-- Ron Lee <ron@debian.org> Sat, 19 Apr 2003 20:13:39 -0700
wxwindows2.4 (2.4.0.8) unstable; urgency=low
* The "I wish people would read the existing discussion about new releases
before posting 'reminder' bugs" release. Closes: #189144
* Moved back to using png2. gtk1 forces that on anything using it and
gtk2 support is still too flakey both in wx and dependent apps for
us to entertain it in a stable release. This is a *really* messed
up situation for anyone trying to maintain a development machine.
Thank the png and gtk theme people if its a pain in your ass too.
Closes: #186779
* Add real package options to the gl build deps. Closes: #182210
* Really fix the XRCed problem, unlike 2.4.0.7 ; ) Closes: #183712
-- Ron Lee <ron@debian.org> Tue, 15 Apr 2003 18:42:54 -0700
wxwindows2.4 (2.4.0.3) unstable; urgency=low
* Changed Conflict to Replaces so people can use 2.4 -dev before all
their 2.3 deps are gone. Closes: #178305
* Added wxPy supplied 2.3 distutils to the source package, apparently the
standard 2.2 one is now insufficient. This hopefully Closes: #178457
-- Ron Lee <ron@debian.org> Mon, 27 Jan 2003 17:36:59 -0800
wxwindows2.4 (2.4.0.2) unstable; urgency=low
* Added missing quantize.h to install. Closes: #178135
+1
View File
@@ -0,0 +1 @@
4
+90 -179
View File
@@ -1,67 +1,9 @@
Source: wxwindows=V
Source: wxwidgets=V
Section: libs
Priority: optional
Build-Depends: debhelper (>=2.0), flex, bison, gettext, libgtk1.2-dev, python (>=2.2), python (<<2.3), python2.2-dev, zlib1g-dev, libjpeg62-dev, libpng12-0-dev, libtiff3g-dev, libgl-dev, libglu-dev, libesd0-dev
Build-Depends: debhelper (>=4.0), flex, bison, gettext, libgtk2.0-dev, =PY, =PY-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libtiff3g-dev, xlibmesa-gl-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev, libesd0-dev
Maintainer: Ron Lee <ron@debian.org>
Standards-Version: 3.5.8.0
Package: libwxbase=V
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: wxBase library (runtime) - non-GUI support classes of wxWindows toolkit
wxBase is a collection of C++ classes providing basic data structures
(strings, lists, arrays), powerful wxDateTime class for date manipulations,
portable wrappers around many OS-specific functions allowing to build the
same program under all supported folders, wxThread class for writing
multithreaded programs using either Win32 or POSIX threads and much more.
wxBase currently supports the following platforms: Generic Unix (Linux, FreeBSD,
Solaris, HP-UX, ...), win32, and BeOS.
.
This package is only useful for non-GUI apps. It offers a subset of the
classes in libwx_gtk=V for use in console apps and daemons. You do not need
this package to build or use wxWindows GUI apps.
Package: libwxbase=V-dev
Architecture: any
Section: devel
Depends: wxwin=V-headers (= ${Source-Version}), libwxbase=V (= ${Source-Version}), libc6-dev
Suggests: wxwin=V-doc, gettext
Conflicts: libwxbase-dev
Replaces: libwxbase-dev
Provides: libwxbase-dev
Description: wxBase library (development) - non-GUI support classes of wxWindows toolkit
wxBase is a collection of C++ classes providing basic data structures
(strings, lists, arrays), powerful wxDateTime class for date manipulations,
portable wrappers around many OS-specific functions allowing to build the
same program under all supported folders, wxThread class for writing
multithreaded programs using either Win32 or POSIX threads and much more.
wxBase currently supports the following platforms: Generic Unix (Linux, FreeBSD,
Solaris, HP-UX, ...), win32, and BeOS.
.
This package provides the files needed to compile apps using the wxBase library.
Package: libwxbase=V-dbg
Architecture: any
Section: devel
Priority: extra
Depends: wxwin=V-headers (= ${Source-Version}), libc6-dev
Conflicts: libwxbase-dbg
Replaces: libwxbase-dbg
Provides: libwxbase-dbg
Description: wxBase library (debug) - non-GUI support classes of wxWindows toolkit
wxBase is a collection of C++ classes providing basic data structures
(strings, lists, arrays), powerful wxDateTime class for date manipulations,
portable wrappers around many OS-specific functions allowing to build the
same program under all supported folders, wxThread class for writing
multithreaded programs using either Win32 or POSIX threads and much more.
wxBase currently supports the following platforms: Generic Unix (Linux, FreeBSD,
Solaris, HP-UX, ...) win32, and BeOS.
.
This package provides a debug version of the wxBase library. It is compiled
both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
provides many internal checks by wxWindows itself that are not performed on
apps compiled with the 'release version' libs in the -dev package.
Standards-Version: 3.6.1.0
Package: libwxgtk=V
Architecture: any
@@ -69,62 +11,62 @@ Section: libs
Depends: ${shlibs:Depends}
Suggests: libgl1
Replaces: wxgtk2.1
Description: wxWindows Cross-platform C++ GUI toolkit (GTK+ runtime)
wxWindows is a class library for C++ providing GUI (Graphical User
Interface) and other facilities on more than one platform. Version =V
currently supports subsets of GTK+, Motif, and MS Windows.
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
wxWidgets (formerly known as wxWindows) is a class library for C++ providing
GUI components and other facilities on several popular platforms (and some
unpopular ones as well). For more information see http://wxwidgets.org
.
This package provides the shared libraries needed to run programs linked
against wxWindows. To use the (optional) glcanvas library you will need
against wxWidgets. To use the (optional) glcanvas library you will need
to have Mesa or OpenGL installed.
Package: libwxgtk=V-dev
Architecture: any
Section: devel
Depends: wxwin=V-headers (= ${Source-Version}), libwxgtk=V (= ${Source-Version}), libc6-dev
Suggests: wxwin=V-doc, libstdc++-dev, gettext, libgl-dev
Conflicts: libwxgtk-dev
Replaces: libwxgtk-dev, wxgtk2.1-dev
Section: libdevel
Depends: wx=V-headers (= ${Source-Version}), libwxgtk=V (= ${Source-Version}), libc6-dev
Suggests: wx=V-doc, libstdc++-dev, gettext, libgl-dev
Conflicts: libwxgtk-dev, libwxbase-dev
Replaces: libwxgtk-dev, libwxbase-dev, wxgtk2.1-dev
Provides: libwxgtk-dev
Description: wxWindows Cross-platform C++ GUI toolkit (GTK+ development)
wxWindows is a class library for C++ providing GUI (Graphical User
Interface) and other facilities on more than one platform. Version =V
currently supports subsets of GTK+, Motif, and MS Windows.
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
wxWidgets (formerly known as wxWindows) is a class library for C++ providing
GUI components and other facilities on several popular platforms (and some
unpopular ones as well). For more information see http://wxwidgets.org
.
This package provides files needed to compile wxWindows programs. If you
This package provides files needed to compile wxWidgets programs. If you
want to compile apps using the (optional) glcanvas library you will need
to have Mesa or OpenGL installed too.
Package: libwxgtk=V-dbg
Architecture: any
Section: devel
Section: libdevel
Priority: extra
Depends: wxwin=V-headers (= ${Source-Version}), libc6-dev
Conflicts: libwxgtk-dbg
Replaces: libwxgtk-dbg
Depends: wx=V-headers (= ${Source-Version}), libc6-dev
Conflicts: libwxgtk-dbg, libwxbase-dbg
Replaces: libwxgtk-dbg, libwxbase-dbg
Provides: libwxgtk-dbg
Description: wxWindows Cross-platform C++ GUI toolkit (GTK+ development)
wxWindows is a class library for C++ providing GUI (Graphical User
Interface) and other facilities on more than one platform. Version =V
currently supports subsets of GTK+, Motif, and MS Windows.
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
wxWidgets (formerly known as wxWindows) is a class library for C++ providing
GUI components and other facilities on several popular platforms (and some
unpopular ones as well). For more information see http://wxwidgets.org
.
This package provides a debug version of the wxGtk library. It is compiled
This package provides a debug version of the wxGTK library. It is compiled
both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
provides many internal checks by wxWindows itself that are not performed on
provides many internal checks by wxWidgets itself that are not performed on
apps compiled with the 'release version' libs in the -dev package.
Package: libwxgtk=V-python
Architecture: any
Section: interpreters
Depends: python (>=2.2), python (<<2.3), ${shlibs:Depends}
Suggests: wxwin=V-doc, wxwin=V-examples, python2.2-xml
Section: python
Depends: =PY, ${shlibs:Depends}
Suggests: wx=V-doc, wx=V-examples, =PY-xml
Conflicts: libwxgtk-python, python-wxwin, libwxgtk2.2-python-contrib, libwxgtk2.2-python, libwxgtk2.3-python
Replaces: libwxgtk-python, python-wxwin, libwxgtk2.2-python-contrib, libwxgtk2.2-python, libwxgtk2.3-python
Provides: libwxgtk-python
Description: wxWindows Cross-platform C++ GUI toolkit (wxPython binding)
wxWindows is a class library for C++ providing GUI (Graphical User
Interface) and other facilities on more than one platform. Version =V
currently supports subsets of GTK+, Motif, and MS Windows.
Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)
wxWidgets (formerly known as wxWindows) is a class library for C++ providing
GUI components and other facilities on several popular platforms (and some
unpopular ones as well). For more information see http://wxwidgets.org
.
This package provides a Python binding to the wxGTK library and it's
contrib libs. If you wish to use xrced you'll also need the python-xml
@@ -133,117 +75,86 @@ Description: wxWindows Cross-platform C++ GUI toolkit (wxPython binding)
Package: libwxgtk=V-contrib
Architecture: any
Section: libs
Depends: libwxgtk=V (= ${Source-Version}), ${shlibs:Depends}
Description: wxWindows Cross-platform C++ GUI toolkit (runtime contrib libs)
wxWindows is a class library for C++ providing GUI (Graphical User
Interface) and other facilities on more than one platform. Version =V
currently supports subsets of GTK+, Motif, and MS Windows.
Depends: ${shlibs:Depends}
Description: wxWidgets Cross-platform C++ GUI toolkit (runtime contrib libs)
wxWidgets (formerly known as wxWindows) is a class library for C++ providing
GUI components and other facilities on several popular platforms (and some
unpopular ones as well). For more information see http://wxwidgets.org
.
This package provides the contrib libs from the wxWindows source tree
This package provides the contrib libs from the wxWidgets source tree
Package: libwxgtk=V-contrib-dev
Architecture: any
Section: devel
Depends: wxwin=V-headers (= ${Source-Version}), libwxgtk=V-dev (= ${Source-Version}), libwxgtk=V-contrib (= ${Source-Version}), libc6-dev
Section: libdevel
Depends: wx=V-headers (= ${Source-Version}), libwxgtk=V-dev (= ${Source-Version}), libwxgtk=V-contrib (= ${Source-Version}), libc6-dev
Conflicts: libwxgtk-contrib-dev
Replaces: libwxgtk-contrib-dev
Provides: libwxgtk-contrib-dev
Description: wxWindows Cross-platform C++ GUI toolkit (development contrib libs)
wxWindows is a class library for C++ providing GUI (Graphical User
Interface) and other facilities on more than one platform. Version =V
currently supports subsets of GTK+, Motif, and MS Windows.
Description: wxWidgets Cross-platform C++ GUI toolkit (development contrib libs)
wxWidgets (formerly known as wxWindows) is a class library for C++ providing
GUI components and other facilities on several popular platforms (and some
unpopular ones as well). For more information see http://wxwidgets.org
.
Install this package if you wish to compile applications that use the
contrib libs from the wxWindows source tree.
contrib libs from the wxWidgets source tree.
Package: wxwin=V-headers
Package: wx=V-headers
Architecture: any
Section: devel
Conflicts: wxwin-headers, libwxgtk2.3
Replaces: wxwin-headers, wxgtk2.1-dev
Provides: wxwin-headers
Description: wxWindows Cross-platform C++ GUI toolkit (header files)
wxWindows is a class library for C++ providing GUI (Graphical User
Interface) and other facilities on more than one platform. Version =V
currently supports subsets of GTK+, Motif, and MS Windows.
Conflicts: wx-headers, wxwin-headers
Replaces: wx-headers, wxwin-headers, wxgtk2.1-dev, libwxgtk2.3
Provides: wx-headers
Description: wxWidgets Cross-platform C++ GUI toolkit (header files)
wxWidgets (formerly known as wxWindows) is a class library for C++ providing
GUI components and other facilities on several popular platforms (and some
unpopular ones as well). For more information see http://wxwidgets.org
.
This package provides the common header files required to build applications
using the wxWindows toolkit.
using the wxWidgets toolkit.
Package: wxwin=V-i18n
Package: wx=V-i18n
Architecture: all
Section: libs
Conflicts: wxwin-i18n
Replaces: wxwin-i18n
Provides: wxwin-i18n
Description: wxWindows Cross-platform C++ GUI toolkit (i18n support)
wxWindows is a class library for C++ providing GUI (Graphical User
Interface) and other facilities on more than one platform. Version =V
currently supports subsets of GTK+, Motif, and MS Windows.
Conflicts: wx-i18n, wxwin-i18n
Replaces: wx-i18n, wxwin-i18n
Provides: wx-i18n
Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
wxWidgets (formerly known as wxWindows) is a class library for C++ providing
GUI components and other facilities on several popular platforms (and some
unpopular ones as well). For more information see http://wxwidgets.org
.
This package provides the i18n message catalogs for wxWindows.
This package provides the i18n message catalogs for wxWidgets.
Package: wxwin=V-doc
Package: wx=V-doc
Architecture: all
Section: doc
Conflicts: wx-doc, wxwin2.2-doc, wxwin-doc
Replaces: wx-doc, wxwin-doc
Provides: wx-doc
Suggests: doc-base, www-browser
Description: wxWindows Cross-platform C++ GUI toolkit (documentation)
wxWindows is a class library for C++ providing GUI (Graphical User
Interface) and other facilities on more than one platform. Version =V
currently supports subsets of GTK+, Motif, and MS Windows.
Description: wxWidgets Cross-platform C++ GUI toolkit (documentation)
wxWidgets (formerly known as wxWindows) is a class library for C++ providing
GUI components and other facilities on several popular platforms (and some
unpopular ones as well). For more information see http://wxwidgets.org
.
This package provides a HTML version of the wxWindows reference manual.
This package provides a HTML version of the wxWidgets reference manual.
Package: wxwin=V-examples
Package: wx=V-examples
Architecture: all
Section: devel
Suggests: libwxgtk=V-dev (= ${Source-Version}), wxwin=V-doc
Description: wxWindows Cross-platform C++ GUI toolkit (examples)
wxWindows is a class library for C++ providing GUI (Graphical User
Interface) and other facilities on more than one platform. Version =V
currently supports subsets of GTK+, Motif, and MS Windows.
Description: wxWidgets Cross-platform C++ GUI toolkit (examples)
wxWidgets (formerly known as wxWindows) is a class library for C++ providing
GUI components and other facilities on several popular platforms (and some
unpopular ones as well). For more information see http://wxwidgets.org
.
This package contains examples of using the wxWindows toolkit in
This package contains examples of using the wxWidgets toolkit in
C++ and with the wxPython language binding.
Package: libwxgtk=V-univ
Architecture: any
Section: libs
Depends: wxwin=V-headers (= ${Source-Version}), libwxgtk=V (= ${Source-Version}), libc6-dev, ${shlibs:Depends}
Suggests: wxwin=V-doc, libstdc++-dev, gettext, libgl-dev
Description: wxWindows Cross-platform C++ GUI toolkit (wxUNIVERSAL widgets)
wxWindows is a class library for C++ providing GUI (Graphical User
Interface) and other facilities on more than one platform. Version =V
currently supports subsets of GTK+, Motif, and MS Windows.
.
This package is built to use the wxUNIVERSAL widget set instead of
native gtk widgets.
Package: libwxbase-msw=V-dev
Architecture: i386
Section: otherosfs
Depends: wxwin=V-headers-msw (= ${Source-Version})
Conflicts: libwxbase-msw-dev
Replaces: libwxbase-msw-dev
Provides: libwxbase-msw-dev
Description: wxBase mingw32msvc-cross
mingw32msvc-cross wxBase libs.
Package: libwxbase-msw=V-dbg
Architecture: i386
Section: otherosfs
Depends: wxwin=V-headers-msw (= ${Source-Version})
Conflicts: libwxbase-msw-dbg
Replaces: libwxbase-msw-dbg
Provides: libwxbase-msw-dbg
Description: wxBase mingw32msvc-cross (debug)
mingw32msvc-cross wxBase libs.
__WXDEBUG__ version.
Package: libwxmsw=V-dev
Architecture: i386
Section: otherosfs
Depends: wxwin=V-headers-msw (= ${Source-Version})
Depends: wx=V-headers-msw (= ${Source-Version})
Conflicts: libwxmsw-dev
Replaces: libwxmsw-dev
Provides: libwxmsw-dev
@@ -253,7 +164,7 @@ Description: wxMSW mingw32msvc-cross
Package: libwxmsw=V-dbg
Architecture: i386
Section: otherosfs
Depends: wxwin=V-headers-msw (= ${Source-Version})
Depends: wx=V-headers-msw (= ${Source-Version})
Conflicts: libwxmsw-dbg
Replaces: libwxmsw-dbg
Provides: libwxmsw-dbg
@@ -261,13 +172,13 @@ Description: wxMSW mingw32msvc-cross (debug)
mingw32msvc-cross wxMSW libs.
__WXDEBUG__ version.
Package: wxwin=V-headers-msw
Package: wx=V-headers-msw
Architecture: i386
Section: otherosfs
Depends: wxwin=V-headers (= ${Source-Version})
Conflicts: wxwin-headers-msw
Replaces: wxwin-headers-msw
Provides: wxwin-headers-msw
Description: Extra wxWindows headers for mingw32msvc-cross
Headers required by the wxWindows mingw32msvc-cross libraries.
Depends: wx=V-headers (= ${Source-Version})
Conflicts: wx-headers-msw, wxwin-headers-msw
Replaces: wx-headers-msw, wxwin-headers-msw
Provides: wx-headers-msw
Description: Extra wxWidgets headers for mingw32msvc-cross
Headers required by the wxWidgets mingw32msvc-cross libraries.
+28
View File
@@ -191,4 +191,32 @@ under two different licences:
DOCUMENTATION TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR
OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
-----------------------------------------------------------------------------
XRCed is released under the following terms:
Copyright (c) 2002, Roman Rolinsky <rollrom@users.sourceforge.net>
All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:
* Redistributions of source code must retain the above copyright notice,
this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright notice,
this list of conditions and the following disclaimer in the documentation
and/or other materials provided with the distribution.
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.
-5
View File
@@ -1,5 +0,0 @@
usr/bin
usr/lib/wx/include/based-=V/wx
usr/share/man/man1
usr/share/lintian/overrides
-2
View File
@@ -1,2 +0,0 @@
usr/share/man/man1/wx-config.1.gz usr/share/man/man1/wxbased-=V-config.1.gz
-11
View File
@@ -1,11 +0,0 @@
#! /bin/sh
set -e
update-alternatives --install /usr/bin/wx-config wx-config /usr/bin/wxbased-=V-config 50
if [ "$1" = "configure" ]; then
ldconfig
fi
#DEBHELPER#
-7
View File
@@ -1,7 +0,0 @@
#! /bin/sh
set -e
update-alternatives --remove wx-config /usr/bin/wxbased-=V-config
#DEBHELPER#
-3
View File
@@ -1,3 +0,0 @@
usr/bin
usr/lib/wx/include/base-=V/wx
usr/share/man/man1
-1
View File
@@ -1 +0,0 @@
usr/share/man/man1/wx-config.1.gz usr/share/man/man1/wxbase-=V-config.1.gz
-7
View File
@@ -1,7 +0,0 @@
#! /bin/sh
set -e
update-alternatives --install /usr/bin/wx-config wx-config /usr/bin/wxbase-=V-config 60
#DEBHELPER#
-7
View File
@@ -1,7 +0,0 @@
#! /bin/sh
set -e
update-alternatives --remove wx-config /usr/bin/wxbase-=V-config
#DEBHELPER#
-4
View File
@@ -1,4 +0,0 @@
usr/bin
usr/=H/lib/wx/include/based-=V-=H/wx
usr/share/man/man1
-2
View File
@@ -1,2 +0,0 @@
usr/share/man/man1/wx-config.1.gz usr/share/man/man1/wxbased-=V-=H-config.1.gz
-7
View File
@@ -1,7 +0,0 @@
#! /bin/sh
set -e
update-alternatives --install /usr/bin/wx-config wx-config /usr/bin/wxbased-=V-=H-config 40
#DEBHELPER#
-7
View File
@@ -1,7 +0,0 @@
#! /bin/sh
set -e
update-alternatives --remove wx-config /usr/bin/wxbased-=V-=H-config
#DEBHELPER#
-4
View File
@@ -1,4 +0,0 @@
usr/bin
usr/=H/lib/wx/include/base-=V-=H/wx
usr/share/man/man1
-2
View File
@@ -1,2 +0,0 @@
usr/share/man/man1/wx-config.1.gz usr/share/man/man1/wxbase-=V-=H-config.1.gz
-7
View File
@@ -1,7 +0,0 @@
#! /bin/sh
set -e
update-alternatives --install /usr/bin/wx-config wx-config /usr/bin/wxbase-=V-=H-config 40
#DEBHELPER#
-7
View File
@@ -1,7 +0,0 @@
#! /bin/sh
set -e
update-alternatives --remove wx-config /usr/bin/wxbase-=V-=H-config
#DEBHELPER#
-2
View File
@@ -1,2 +0,0 @@
usr/lib
-10
View File
@@ -1,10 +0,0 @@
#!/bin/sh
set -e
if [ "$1" = "configure" ]; then
ldconfig
fi
#DEBHELPER#
-2
View File
@@ -1,2 +0,0 @@
usr/lib/
-2
View File
@@ -1,2 +0,0 @@
usr/lib/
-10
View File
@@ -1,10 +0,0 @@
#!/bin/sh
set -e
if [ "$1" = "configure" ]; then
ldconfig
fi
#DEBHELPER#
-5
View File
@@ -1,5 +0,0 @@
usr/bin
usr/lib/wx/include/gtkd-=V/wx
usr/share/man/man1
usr/share/lintian/overrides
+1 -1
View File
@@ -1,2 +1,2 @@
usr/share/man/man1/wx-config.1.gz usr/share/man/man1/wxgtkd-=V-config.1.gz
usr/share/man/man1/wx-config.1.gz usr/share/man/man1/wxgtk2d-=V-config.1.gz
+1 -5
View File
@@ -1,11 +1,7 @@
#! /bin/sh
set -e
update-alternatives --install /usr/bin/wx-config wx-config /usr/bin/wxgtkd-=V-config 50
if [ "$1" = "configure" ]; then
ldconfig
fi
update-alternatives --install /usr/bin/wx-config wx-config /usr/bin/wxgtk2d-=V-config 50
#DEBHELPER#
+1 -1
View File
@@ -1,7 +1,7 @@
#! /bin/sh
set -e
update-alternatives --remove wx-config /usr/bin/wxgtkd-=V-config
update-alternatives --remove wx-config /usr/bin/wxgtk2d-=V-config
#DEBHELPER#
-4
View File
@@ -1,4 +0,0 @@
usr/bin
usr/lib/wx/include/gtk-=V/wx
usr/share/man/man1
+1 -1
View File
@@ -1,2 +1,2 @@
usr/share/man/man1/wx-config.1.gz usr/share/man/man1/wxgtk-=V-config.1.gz
usr/share/man/man1/wx-config.1.gz usr/share/man/man1/wxgtk2-=V-config.1.gz
+1 -1
View File
@@ -1,7 +1,7 @@
#! /bin/sh
set -e
update-alternatives --install /usr/bin/wx-config wx-config /usr/bin/wxgtk-=V-config 70
update-alternatives --install /usr/bin/wx-config wx-config /usr/bin/wxgtk2-=V-config 70
#DEBHELPER#
+1 -1
View File
@@ -1,7 +1,7 @@
#! /bin/sh
set -e
update-alternatives --remove wx-config /usr/bin/wxgtk-=V-config
update-alternatives --remove wx-config /usr/bin/wxgtk2-=V-config
#DEBHELPER#
-5
View File
@@ -1,5 +0,0 @@
usr/bin
usr/lib/wx/include/gtkuniv-=V/wx
usr/share/man/man1
usr/share/lintian/overrides
-2
View File
@@ -1,2 +0,0 @@
usr/share/man/man1/wx-config.1.gz usr/share/man/man1/wxgtkuniv-=V-config.1.gz
-11
View File
@@ -1,11 +0,0 @@
#! /bin/sh
set -e
update-alternatives --install /usr/bin/wx-config wx-config /usr/bin/wxgtkuniv-=V-config 50
if [ "$1" = "configure" ]; then
ldconfig
fi
#DEBHELPER#
-7
View File
@@ -1,7 +0,0 @@
#! /bin/sh
set -e
update-alternatives --remove wx-config /usr/bin/wxgtkuniv-=V-config
#DEBHELPER#
-3
View File
@@ -1,3 +0,0 @@
usr/lib
usr/share

Some files were not shown because too many files have changed in this diff Show More